package com.bonus.canteen.core.account.v3.mq.send.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class RepAccMqDTO {
   @ApiModelProperty("账户交易id")
   private Long tradeId;
   @ApiModelProperty("食堂Id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口Id")
   private Long shopstallId;
   @ApiModelProperty("档口名称")
   private String shopstallName;
   @ApiModelProperty("机器编号")
   private String mchNum;
   @ApiModelProperty("机器名称")
   private String mchName;
   @ApiModelProperty("设备sn")
   private String mchSn;
   @ApiModelProperty("订单时间")
   private LocalDateTime ordTime;
   @ApiModelProperty("核身方式")
   private Integer nuClearMode;
   @ApiModelProperty("是否在线 1 是 2 否")
   private Integer ifOnline;
   @ApiModelProperty("订单来源类型")
   private Integer sourceType;

   public static RepAccMqDTOBuilder builder() {
      return new RepAccMqDTOBuilder();
   }

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMchName() {
      return this.mchName;
   }

   public String getMchSn() {
      return this.mchSn;
   }

   public LocalDateTime getOrdTime() {
      return this.ordTime;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMchName(final String mchName) {
      this.mchName = mchName;
   }

   public void setMchSn(final String mchSn) {
      this.mchSn = mchSn;
   }

   public void setOrdTime(final LocalDateTime ordTime) {
      this.ordTime = ordTime;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }


   public RepAccMqDTO(final Long tradeId, final Long canteenId, final String canteenName, final Long shopstallId, final String shopstallName, final String mchNum, final String mchName, final String mchSn, final LocalDateTime ordTime, final Integer nuClearMode, final Integer ifOnline, final Integer sourceType) {
      this.tradeId = tradeId;
      this.canteenId = canteenId;
      this.canteenName = canteenName;
      this.shopstallId = shopstallId;
      this.shopstallName = shopstallName;
      this.mchNum = mchNum;
      this.mchName = mchName;
      this.mchSn = mchSn;
      this.ordTime = ordTime;
      this.nuClearMode = nuClearMode;
      this.ifOnline = ifOnline;
      this.sourceType = sourceType;
   }

   public RepAccMqDTO() {
   }

   public static class RepAccMqDTOBuilder {
      private Long tradeId;
      private Long canteenId;
      private String canteenName;
      private Long shopstallId;
      private String shopstallName;
      private String mchNum;
      private String mchName;
      private String mchSn;
      private LocalDateTime ordTime;
      private Integer nuClearMode;
      private Integer ifOnline;
      private Integer sourceType;

      RepAccMqDTOBuilder() {
      }

      public RepAccMqDTOBuilder tradeId(final Long tradeId) {
         this.tradeId = tradeId;
         return this;
      }

      public RepAccMqDTOBuilder canteenId(final Long canteenId) {
         this.canteenId = canteenId;
         return this;
      }

      public RepAccMqDTOBuilder canteenName(final String canteenName) {
         this.canteenName = canteenName;
         return this;
      }

      public RepAccMqDTOBuilder shopstallId(final Long shopstallId) {
         this.shopstallId = shopstallId;
         return this;
      }

      public RepAccMqDTOBuilder shopstallName(final String shopstallName) {
         this.shopstallName = shopstallName;
         return this;
      }

      public RepAccMqDTOBuilder mchNum(final String mchNum) {
         this.mchNum = mchNum;
         return this;
      }

      public RepAccMqDTOBuilder mchName(final String mchName) {
         this.mchName = mchName;
         return this;
      }

      public RepAccMqDTOBuilder mchSn(final String mchSn) {
         this.mchSn = mchSn;
         return this;
      }

      public RepAccMqDTOBuilder ordTime(final LocalDateTime ordTime) {
         this.ordTime = ordTime;
         return this;
      }

      public RepAccMqDTOBuilder nuClearMode(final Integer nuClearMode) {
         this.nuClearMode = nuClearMode;
         return this;
      }

      public RepAccMqDTOBuilder ifOnline(final Integer ifOnline) {
         this.ifOnline = ifOnline;
         return this;
      }

      public RepAccMqDTOBuilder sourceType(final Integer sourceType) {
         this.sourceType = sourceType;
         return this;
      }

      public RepAccMqDTO build() {
         return new RepAccMqDTO(this.tradeId, this.canteenId, this.canteenName, this.shopstallId, this.shopstallName, this.mchNum, this.mchName, this.mchSn, this.ordTime, this.nuClearMode, this.ifOnline, this.sourceType);
      }

      public String toString() {
         Long var10000 = this.tradeId;
         return "RepAccMqDTO.RepAccMqDTOBuilder(tradeId=" + var10000 + ", canteenId=" + this.canteenId + ", canteenName=" + this.canteenName + ", shopstallId=" + this.shopstallId + ", shopstallName=" + this.shopstallName + ", mchNum=" + this.mchNum + ", mchName=" + this.mchName + ", mchSn=" + this.mchSn + ", ordTime=" + String.valueOf(this.ordTime) + ", nuClearMode=" + this.nuClearMode + ", ifOnline=" + this.ifOnline + ", sourceType=" + this.sourceType + ")";
      }
   }
}
